Bug 1291732 - Process Definitions perspective - process Name column not enabled by default
Process Definitions perspective - process Name column not enabled by default
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
urgent Severity urgent
: CR2
: 6.1.5
Assigned To: Neus Miras
Jan Hrcek
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 09:02 EST by Jan Hrcek
Modified: 2016-01-04 08:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot illustrating the issue (77.06 KB, image/png)
2015-12-15 09:02 EST, Jan Hrcek
no flags Details
Screenshot showing how it worked in 6.1.4 (86.58 KB, image/png)
2015-12-15 09:02 EST, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2015-12-15 09:02:23 EST
Created attachment 1106038 [details]
Screenshot illustrating the issue

Description of problem:
There's been change in default column setup in Process Definitions perspective. See screenshots illustrating the issue.

In 6.1.4 the Name and Actions columns were always enabled (it was not even possible to disable Name column). I think it made a lot of sense, because this table is useless unless user knows which process he is starting.

In 6.1.5 the process Name column is disabled by default. It can be enabled (so there is a workaround) but it is DISABLED BY DEFAULT. The table is basically useless without this column enabled, so user MUST enable it if he wants to know which process he is starting.

This is a regression since BPM Suite 6.1.4 most likely introduced by fix to bug# 1276354  which was included in BPM Suite 6.1.5

Version-Release number of selected component (if applicable):
BPM Suite 6.1.5

How reproducible:
Always

Steps to Reproduce:
1. Go to Authoring perspective and deploy some project with process definition (e.g. Evaluation)
2. Go to Process Management > Processs Process definitions

Actual results:
The Name column is not enabled - it is not clear which row corresponds to which process

Expected results:
The Name column was fixed in previous versions - it couldn't be disabled even if user wanted.
Comment 1 Jan Hrcek 2015-12-15 09:02 EST
Created attachment 1106039 [details]
Screenshot showing how it worked in 6.1.4
Comment 3 Jan Hrcek 2015-12-15 09:39:00 EST
Other perspectives are affected by the change too:
1) Process Instances: The columns Id and Name were fixed (enabled all the time), but are now configurable and disabled by default
2) Tasks: The columns Actions is now Fixed (THIS CHANGE IS DESIRABLE), but was previously Configurable and disabled by default.
Comment 5 Neus Miras 2015-12-18 09:14:13 EST
This PR have the commit to restore the behavior showing the default selected columns:
 
https://github.com/droolsjbpm/jbpm-console-ng/pull/243
Comment 7 Jan Hrcek 2016-01-04 08:10:01 EST
The implementation is now working as before. Verified with BPM Suite 6.1.5 CR2

Note You need to log in before you can comment on or make changes to this bug.